@charset "utf-8";

/* CSS Document */

html {
    min-height: 100%;
}

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    background: #fcfcfc;
}

.admin_container {
    display: flex;
    flex-direction: row;
    min-height: 100%;
    position: relative;
}

.top_wrap {
    background: #fff;
    height: 40px;
    padding: 0 0px;
    box-sizing: border-box;
    border-bottom: 1px solid #ebebeb;
    display: flex;
}

.logo {
    width: 120px;
    padding: 10px;
    transition: all 0.3s ease-in-out 0.3s;
    box-sizing: border-box;
    height: 75px;
    position: absolute;
    top: 0;
    left: 0;
}

.top_wrap a {
    color: #414141;
}

.top_wrap a:hover i {
    color: #007bff;
}

.top_wrap>div:first-child {
    flex: 1 1 auto;
    font-size: 0;
    line-height: 0;
}

.top_wrap>div:first-child>div {
    display: inline-block;
    line-height: 39px;
    width: 60px;
    text-align: center;
    color: inherit;
    border-right: 1px solid #ebebeb;
    vertical-align: top;
    height: 39px;
}

.top_wrap>div:first-child>div a {
    color: inherit;
}

.top_wrap>div:first-child>div>a>i {
    display: block;
    font-size: 20px;
    line-height: 39px;
}

.top_wrap>div:first-child .dropdown-item {
    padding: 0 10px;
    margin: 0;
    line-height: 40px;
    font-size: 14px;
    width: 300px;
}

.top_wrap>div:first-child .dropdown-item i {
    margin-right: 10px;
}

.searchResults td {
    vertical-align: middle;
}

.searchResults > ul {
    margin: 0;
    padding: 0;
}

.profileMenu {
    padding: 0;
    line-height: 40px;
    margin-right: 20px;
    flex: 0 0 auto;
    height: 40px;
}

.profileMenu>a {
    color: #0c1a38;
    display: block;
}

.profileMenu i {
    margin-right: 5px;
}

.profileMenu>a>i:first-child {
    font-size: 20px;
    margin-right: 10px;
}

.profileMenu>a>i:last-child {
    margin-left: 15px;
}

.profileMenu>a:after {
    border: 0;
}

.profileMenu .dropdown-item {
    padding: 0 10px;
    margin: 0;
    line-height: 40px;
    font-size: 14px;
    width: 200px;
}

a.collapseMenu {
    float: right;
    height: 40px;
    line-height: 40px;
    color: #646d80;
    padding: 0 20px 0 0;
    font-size: 20px;
    transition: all 0.3s ease-in-out;
    margin-bottom: 35px;
}

.left_menu {
    background: #0c1a38;
    padding: 0;
    width: 200px;
    box-sizing: border-box;
    overflow-y: hidden;
    transition: all 0.3s ease-in-out 0.3s;
    flex: 0 0 auto;
    max-height: none !important;
    min-height: 100vh;
}

.left_menu>ul {
    list-style: none;
    padding: 0;
    margin: 10px 0;
}

.left_menu>ul>li {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block;
    border-bottom: 1px solid #182951;
}

.left_menu>ul>li>a {
    display: block;
    line-height: 60px;
    color: #c7cad1;
    font-size: 14px;
    padding: 0;
    overflow: hidden;
    width: 200px;
    height: 60px;
    transition: all 0.3s ease-in-out 0.3s;
}

.left_menu>ul>li>a i {
    font-size: 18px;
    text-align: center;
    transition: all 0.3s ease-in-out 0.3s;
    vertical-align: middle;
    margin: 0 5px
}

.left_menu>ul>li>a>i.floatright {
    float: right;
    line-height: 60px;
    vertical-align: middle;
    font-size: 14px;
}

.left_menu>ul>li.active>a>i.floatright:before,
.left_menu>ul>li.open>a>i.floatright:before {
    content: '\f106';
}

.left_menu>ul>li>ul {
    list-style: none;
    padding: 0;
    margin: 0 0 0 0;
    opacity: 0;
    transform-origin: top;
    max-height: 0;
    background: #132346;
    width: 100%;
    overflow: hidden;
    transition: opacity 0.3s ease-in-out;
}

.left_menu li.active>ul,
.left_menu li.open>ul {
    opacity: 1;
    max-height: none;
}

.left_menu>ul>li>ul>li {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block;
}

.left_menu>ul>li>ul>li a {
    display: block;
    line-height: 36px;
    color: #c7cad1;
    font-size: 14px;
    padding: 0 10px 0 35px;
}

.left_menu>ul>li>ul>li:hover a,
.left_menu>ul>li>ul>li.active>a,
.left_menu>ul>li:hover>a,
.left_menu>ul>li.active>a {
    color: #a69aef
}

.left_menu>ul>li:hover>a,
.left_menu>ul>li.active>a,
.left_menu>ul>li.open>a {
    background: #182951;
}

.main_window {
    box-sizing: border-box;
    transition: all 0.3s ease-in-out 0.3s;
    flex: 1 1 auto;
}

.maincontent {
    padding-bottom: 10px;
    position: relative;
}

.content_wrap {
    padding: 0 20px;
    box-sizing: border-box;
    overflow-y: auto;
    background: #fcfcfc;
    z-index: 1;
    transition: all 0.3s ease-in-out 0.3s;
}

form {}

form button {
    float: right;
    margin: 15px 5px;
    cursor: pointer;
}

form:after {
    content: ' ';
    display: block;
    clear: both;
    height: 0;
    overflow: hidden;
}

form input[type=range] {
    height: 40px;
}

form input[type=submit] {
    cursor: pointer;
}

.form-control {
    line-height: inherit;
}

.form-group {
    max-width: 100%;
    overflow: hidden;
    margin-bottom: 20px;
}

img {
    max-width: 100%;
    max-height: 100%;
}

.footer_wrap {
    background: #ededed;
    height: 100px;
    text-align: center;
    display: flex;
    align-items: center;
}

.downArrow {
    cursor: pointer;
    font-size: 16px;
    padding: 0;
    margin: 0;
    line-height: 20px;
}

.downArrow:after {
    content: '\f0d8';
    float: right;
    margin: 0 5px;
    font-family: "Font Awesome 5 Free";
}

.downArrow.collapsed:after {
    content: '\f0d7';
    float: right;
    margin: 0 5px;
    font-family: "Font Awesome 5 Free";
}

#accordion>.card {
    margin-bottom: 10px;
    border-radius: 0 !important;
}

#accordion>.card>.card-header {
    padding: 20px;
    border-radius: 0 !important;
}

#accordion>.card .card-body {
    border-radius: 0 !important;
}

#accordion>.card>.card-header h3 {
    font-weight: bold;
}

.theme {}

.theme>div.row>div:first-child>div {
    border: 1px solid #eee;
    padding: 10px;
}

.dropzone {
    border: 0 !important;
}


/*
form input[type=text], form input[type=email], form input[type=number], form select, form textarea {width: 100%; box-sizing:border-box; height: 40px; line-height: 40px; padding: 0 5px; margin: 10px 0; font-size: 14px; font-family: inherit; border: 1px solid #ccc; color: #333;}
form select {padding: 0;}
form textarea {height: auto; resize: none;}
*/

#snackbar {
    visibility: hidden;
    text-align: center;
    position: fixed;
    z-index: 10000;
    top: 30px;
    left: 50%;
    width: auto;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    transform: translateX(-50%);
}

#snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
    from {
        top: 0;
        opacity: 0;
    }
    to {
        top: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        top: 0;
        opacity: 0;
    }
    to {
        top: 30px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        top: 30px;
        opacity: 1;
    }
    to {
        top: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        top: 30px;
        opacity: 1;
    }
    to {
        top: 0;
        opacity: 0;
    }
}

a {
    color: #007bff;
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

h1 {
    font-size: 28px;
    font-weight: normal;
    line-height: 48px;
    margin: 0 0 10px;
    padding: 10px 0;
    border-bottom: 1px solid #e1e1e1;
    color: #0c1a38;
}

h2 {
    font-size: 26px;
    font-weight: normal;
    line-height: 36px;
    margin: 0;
    padding: 10px 0;
    color: #0c1a38;
}

h3 {
    font-size: 24px;
    font-weight: normal;
    line-height: 34px;
    margin: 0;
    padding: 10px 0;
    color: #0c1a38;
}

h4 {
    font-size: 22px;
    font-weight: normal;
    line-height: 32px;
    margin: 0;
    padding: 10px 0;
    color: #0c1a38;
}

h5 {
    font-size: 20px;
    font-weight: normal;
    line-height: 30px;
    margin: 0;
    padding: 10px 0;
    color: #0c1a38;
}

.loader {
    border: 4px solid #f3f3f3;
    /* Light grey */
    border-top: 4px solid #3498db;
    /* Blue */
    border-radius: 50%;
    width: 30px;
    height: 30px;
    margin: 10px auto;
    animation: spin 1s linear infinite;
}


.emptyLoader:empty {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
}

.emptyLoader:empty:after {
    content: '';
    width: 20px;
    height: 20px;
    border: 2px solid #fff;
    border-color: #000 transparent transparent;
    border-radius: 50%;
    animation: spin 1s infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.pager {
    margin: 10px 0;
}

.pagination {
    justify-content: center;
}

.topOptions {
    float: right;
    height: 70px;
    line-height: 70px;
}

.topOptions>a {
    margin-left: 10px;
}

.savePagesButton {
    display: none;
    line-height: 40px;
}

.savePagesButton>i {
    margin-right: 5px;
}

.addLink {
    position: absolute;
    right: 20px;
    top: 17px;
}

button {
    cursor: pointer;
}

.green {
    color: #28a745;
}

.red {
    color: #dc3545;
}


/* File Browser */

.filebrowser {
    border: 1px solid #d6d8dd;
    background: #fff;
    border: 1px solid #d6d8dd;
    margin: 20px 0;
    min-width: 1052px;
}

.filebrowser:after {
    content: ' ';
    display: block;
    height: 0;
    clear: both;
    overflow: hidden;
}

.filebrowser>div:first-child {
    float: left;
    width: 30%;
    box-sizing: border-box;
    border-right: 1px solid #d6d8dd;
    min-width: 315px;
}

.filebrowser>div:nth-child(2) {
    float: left;
    width: 70%;
    box-sizing: border-box;
    min-width: 735px;
}

.filebrowser>div>div:first-child {
    font-size: 0;
    line-height: 0;
    height: 40px;
    border-bottom: 1px solid #d6d8dd;
    padding: 0;
    background: #f5f5f5;
}

.filebrowser>div>div:first-child a,
.filebrowser>div>div:first-child input {
    font-size: 16px;
    display: inline-block;
    line-height: 40px;
    color: #333;
    text-align: center;
    border-right: 1px solid #d6d8dd;
    padding: 0 10px;
}

.filebrowser>div>div:first-child a.disabled {
    color: #dedede;
}

.filebrowser>div>div:first-child a.newFolder {
    color: #ffc947;
    border-left: 1px solid #d6d8dd;
    border-right: 0;
}

.filebrowser>div>div:first-child input {
    text-align: left;
    padding: 0 10px;
    background: #fff;
    line-height: 30px;
    margin: 3px 10px 0;
    border: 1px solid #d6d8dd;
    width: 400px;
    height: 30px;
    box-sizing: border-box;
}

.filebrowser>div>div:first-child input:last-of-type {
    display: none;
    width: 160px;
    margin-bottom: 10px;
}

.filebrowser>div>div:first-child a:last-of-type {
    display: none;
    color: #28a745;
}

.filebrowser>div>div:nth-child(2) {
    overflow-y: auto;
    height: 700px;
}

.folderlist>ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.folderlist>ul li {
    margin: 0 10px;
    padding: 0;
    list-style: none;
}

.folderlist>ul ul {
    display: none;
}

.folderlist li.active>ul {
    display: block;
}

.folderlist>ul li>a {
    display: block;
    font-size: 16px;
    line-height: 26px;
    color: #333
}

.folderlist>ul li>a:before {
    content: "\f07b";
    display: inline-block;
    font: normal normal normal 14px/1 "Font Awesome 5 Free";
    font-size: 14px;
    font-size: inherit;
    text-rendering: auto;
    margin-right: 10px;
    color: #d3d3d3;
}

.folderlist li.active>a:before {
    content: "\f07c";
    color: #ffc947
}

.filelist {
    position: relative;
    transition: all 0.3s ease-in-out 0s;
}

.filelist>div {
    font-size: 0;
    line-height: 0;
    margin: 0;
    padding: 0 5px;
}

.filelist>div:nth-child(even):not(.alert-danger):not(.alert-info):not(.alert-success) {
    background: #f5f5f5;
}

.filelist>div>div {
    display: inline-block;
    font-size: 16px;
    line-height: 50px;
    box-sizing: border-box;
    height: 50px;
    overflow: hidden;
}

.filelist>div>div a {
    color: #333;
}

.filelist>div>div:nth-child(1) {
    width: 40px;
    text-align: center;
}

.filelist>div>div:nth-child(2) {
    width: 100px;
    font-size: 20px;
}

.filelist>div>div:nth-child(2) img {
    vertical-align: middle;
    max-height: 40px;
}

.filelist>div>div:nth-child(3) {
    padding: 0 10px;
    width: 400px;
}

.filelist>div>div:nth-child(4) {
    padding: 0 10px;
    width: 80px;
}

.filelist>div>div:nth-child(5) {
    padding: 0 10px;
    width: 100px;
}

.dz-drag-hover {
    background: rgba(0, 0, 0, 0.1);
}

.dropzone-previews {
    display: none;
}

.downArrow:after {
    font-size: 22px;
}

.blade {
    top: 0;
    right: 0;
    width: 0%;
    position: fixed;
    background: #fff;
    box-shadow: -5px 0 5px #bbb;
    height: 100%;
    z-index: 100;
    padding: 10px;
    box-sizing: border-box;
    transition: width 1s;
    min-height: 100vh;
}

.blade.active {
    width: 50%;
    transition: width 1s;
}

.blade>a {
    position: absolute;
    right: 100%;
    top: calc(50% - 20px);
    background: #fff;
    display: block;
    width: 30px;
    height: 60px;
    line-height: 60px;
    border-radius: 5px 0 0 5px;
    text-align: center;
    box-shadow: -5px 0 5px #bbb;
    font-size: 20px;
    color: #414141;
}

.blade>div {
    position: relative;
    max-height: 100%;
    overflow-y: scroll;
    min-height: 100%;
}

.dropdown-menu {
    min-width: 0;
}

.pageStructure li>ul {
    margin: 5px 0;
}

.nodroparrow {
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
}

.nodroparrow::after {
    display: none;
}

.list-group-item>a {
    display: inline-block;
    color: inherit;
}

.list-group-item button {
    display: inline-block;
    vertical-align: middle;
    margin-right: 10px;
}

.list-group-item>ul {
    margin: 5px 0;
}

.list-group-item button::after {
    display: none;
}

.additionalSetting {
    min-width: 300px;
    margin: 10px 0;
}

.hidden {
    display: none;
}

.loginSplash {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: rgba(12, 26, 56, 0.99);
    overflow-y: auto;
}

.loginSplash>div {
    min-height: 100%;
    width: 100%;
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
}

.loginSplash>div>img {
    display: block;
    width: 156px;
    margin: 20px auto;
}

.loginSplash h2 {
    color: #0c1a38;
    font-size: 30px;
    line-height: 40px;
    text-align: center;
    margin: 0;
    padding: 0;
}

.loginSplash p {
    color: #414141;
    font-size: 14px;
    line-height: 26px;
    margin: 0 0 10px;
    text-align: center;
}


/* .loginSplash input {box-sizing: border-box; height: 40px; margin: 0 0 10px; padding: 0 10px; font-size: 18px; font-family: inherit; width: 100%; border-radius: 5px; border: 1px solid #999;}*/

.loginSplash a.btn-primary {
    display: block;
    margin: 10px auto 0;
}

.loginSplash .avatar {
    position: absolute;
    top: -40px;
    left: calc(50% - 40px);
    width: 80px;
    height: 80px;
    line-height: 80px;
    font-size: 40px;
    border-radius: 100%;
    background: #007bff;
    text-align: center;
    color: #fff;
}

.loginSplash .card-header {
    height: 40px;
}

.loginSplash .card-footer {
    text-align: center;
}

.loginSplash .card-footer a {
    color: inherit;
}

.loginSplash .card {
    box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
    width: 350px;
    margin: 40px auto;
}

.passwordStrength {
    margin: 10px 0 20px;
    border: 1px solid #999;
    line-height: 30px;
    color: #000;
    width: 200px;
    border-radius: 5px;
}

.passwordStrength:before {
    content: 'Password Strength';
    padding: 0 10px;
    box-sizing: border-box;
    border-radius: 3px;
    color: #414141;
}

.passwordStrength.weak:before {
    content: 'Weak';
    display: block;
    width: 50%;
    background: #ed7272;
}

.passwordStrength.medium:before {
    content: 'Medium';
    display: block;
    width: 75%;
    background: #edcf72;
}

.passwordStrength.strong:before {
    content: 'Strong';
    display: block;
    width: 100%;
    background: #9ded72;
}

.userSearch {
    margin: 20px 0 10px;
}

.userTable td,
.userTable th {
    vertical-align: middle;
    padding: 5px;
}

.userTable td:first-child,
.userTable th:first-child {
    width: 80px;
}

.userTable td:last-child,
.userTable th:last-child {
    width: 140px;
}

.layoutTable td,
.layoutTable th {
    vertical-align: middle;
    padding: 5px;
}

.layoutTable td:first-child,
.layoutTable th:first-child {
    width: 80px;
}

.layoutTable td:nth-child(3),
.layoutTable th:nth-child(3) {
    width: 300px;
}

.layoutTable .container,
.layoutBuilder {
    border: 1px solid #cbcbcb;
    background: #fff;
}

.layoutTable .container .__content.__content_allowed,
.layoutBuilder .__content.__content_allowed {
    background: rgba(0, 0, 0, 0.1);
    height: 40px;
    margin: 5px 0;
    flex-grow: 1;
}

.layoutBuilder .__content.__content_allowed {
    min-height: 40px;
    margin-bottom: 10px;
    flex-grow: 1;
}

.layoutBuilder .row {
    position: relative;
    padding: 10px 0 30px 0;
    background: rgba(190, 160, 220, 0.1);
    margin-bottom: 5px;
}

.layoutBuilder .rowOptions {
    position: absolute;
    bottom: 0;
    left: 0;
    border: 1px solid #cbcbcb;
    border-width: 0 1px 1px 0;
    background: #fff;
    display: flex;
    padding: 0 5px !important;
}

.layoutTable .col,
.layoutTable div[class^="col-"] {
    display: flex;
    flex-direction: column;
}

.layoutBuilder .row:hover,
.layoutBuilder div[class^="col-"]:hover {
    opacity: 0.9;
}

.layoutBuilder .rowOptions a:nth-child(2) {
    margin: 0px 5px;
}

.layoutBuilder>a {
    margin: 10px auto;
    width: 30px;
    height: 30px;
    line-height: 30px;
    display: block;
}

#structure .card-body {
    position: relative;
}

#context-menu {
    position: absolute;
    display: none;
}

.templatesTable td,
.templatesTable th {
    vertical-align: middle;
    padding: 5px;
}

.templatesTable td:first-child,
.templatesTable th:first-child {
    width: 80px;
}

.templatesTable td:nth-child(2),
.templatesTable th:nth-child(2) {
    width: 200px;
}

.templatesTable td:last-child,
.templatesTable th:last-child {
    width: 140px;
}

.statusButton {
    display: block;
}

.generatePassword {
    float: right;
}

.menuResultSet {
    height: 200px;
    overflow-y: scroll;
}

.menuBuilder h2 {
    font-size: 1.1rem;
    padding: 0;
    line-height: 36px;
    margin-bottom: 10px;
}

.menuOptions {
    text-align: right;
    line-height: 70px;
}

.saveMenuStructure {
    margin-right: 5px;
    color: #fff;
}

.menuItems {
    margin-bottom: 60px;
}

.addMenu {
    margin: 10px 0;
    display: block;
}

.menuBuilder {}

.menuSearch .nav-link {
    display: block;
}

.menuStructure li.show {
    z-index: 3;
}

.pulse-warning {
    color: rgba(255, 255, 255, 0.8);
    box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
    animation: pulse-warning 2.5s infinite;
}

@-webkit-keyframes pulse-warning {
    0% {
        -webkit-box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
        color: rgba(255, 255, 255, 1);
    }
    70% {
        -webkit-box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, 0);
    }
    100% {
        -webkit-box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
        color: rgba(255, 255, 255, 1);
    }
}

@keyframes pulse-warning {
    0% {
        -moz-box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
        box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
        color: rgba(255, 255, 255, 1);
    }
    70% {
        -moz-box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, 0);
        box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, 0);
    }
    100% {
        -moz-box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
        box-shadow: 0px 0px 2px 2px rgba(255, 170, 0, .8);
        color: rgba(255, 255, 255, 1);
    }
}

.pulse-text {
    color: rgba(255, 170, 0, 1) !important;
    font-weight: bold;
    animation: pulse-text 1s infinite;
}

@-webkit-keyframes pulse-text {
    0% {
        opacity: 0.2;
    }
    50% {
        opacity: 1.0;
    }
    100% {
        opacity: 0.2;
    }
}

@keyframes pulse-text {
    0% {
        opacity: 0.2;
    }
    50% {
        opacity: 1.0;
    }
    100% {
        opacity: 0.2;
    }
}

.optionsButton {
    display: inline-block;
    line-height: 30px;
}

.searchResults {
    margin-bottom: 100px;
}

.editDashboard {
    position: absolute;
    top: 15px;
    right: 0;
    line-height: 30px;
}

.dashboardForm {
    position: absolute;
    top: 15px;
    right: 40px;
    height: 40px;
    background: #fff;
    border: 1px solid #eee;
    padding: 0 10px;
    color: #666;
}

.dashboardForm input[type="date"] {
    background: none;
    border: 0;
    height: 40px;
    line-height: 40px;
    text-align: center;
    padding: 0;
    width: 130px;
    box-sizing: border-box;
    font-size: 16px;
    color: #666;
}

.dashboardForm input[type="date"]:nth-of-type(2) {
    margin-left: 10px;
}

.themeChooser {
    display: flex;
    flex-wrap: wrap;
}

.themeChooser .theme {
    border: 1px solid #ccc;
    border-radius: 4px;
    overflow: hidden;
    width: 250px;
    margin: 10px;
    height: 220px;
}

.themeChooser .theme img {
    width: 100%;
    height: auto;
    max-height: none;
}

.themeChooser .theme div {
    font-size: 18px;
    color: #414141;
    line-height: 30px;
    padding: 5px;
}

.themeChooser .theme div span {
    color: #999;
    font-size: 14px;
}

.themeChooser .theme.active {
    border-color: #28a745;
    box-shadow: 0 0 4px #28a745;
}

.custom_image {
    width: 200px;
    height: 100px;
    background-size: contain;
    background-position: center top;
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: top;
}

.customImage {
    margin-left: 20px;
    vertical-align: top;
}

.editMetaBox .modal-dialog {
    max-width: 1230px;
}

.addDataUrl {
    float: right;
}

.dataUrls {
    clear: both;
    padding: 2px 0;
    position: relative;
}

.dataUrls input {
    margin: 2px 0;
}

.dataUrls a {
    position: absolute;
    right: 5px;
    width: 30px;
    height: 42px;
    line-height: 42px;
    text-align: center;
    display: block;
    font-size: 18px;
}

.dmacLoader {
    position: fixed;
    z-index: 10000;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.3);
}

.dmacLoader>.loader {
    position: absolute;
    left: calc(50% - 15px);
    top: calc(50% - 15px);
}

.dash-settings {
    margin: 10px 20px;
    border: 1px solid #ebebeb;
}

.dash-settings>div:first-child {
    padding: 5px 10px;
    background: #fdfdfd;
    border-bottom: 1px solid #ebebeb;
    line-height: 40px;
    position: relative
}

.dash-settings>div:first-child>a {
    position: absolute;
    right: 10px;
    top: 10px;
    line-height: 30px;
    font-size: 16px;
    display: block;
}

.dash-settings>div:nth-child(2) {
    padding: 0 10px;
    background: #fff;
    line-height: 40px;
}

.saveWidget {
    display: block;
    margin: 10px;
}

.widget-placeholder {
    margin: 10px 0;
    border: 1px dashed #aaa;
    background: #fff;
    width: 100%;
    height: 50px;
}

.widget-helper {
    width: 200px;
    height: 50px !important;
    border: 1px solid #ebebeb;
    background: #fdfdfd;
    text-align: left;
    line-height: 50px;
    font-size: 16px;
    padding: 0 10px;
    margin: 0;
}

.addWidgetButton {
    float: right;
    margin: 10px 20px;
}

.addWidgetButton .dropdown-menu {
    width: 200px;
}

.addWidgetButton .dropdown-menu p {
    padding: 0 10px;
}

.addWidgetButton .dropdown-item {
    color: inherit;
}

.addWidgetButton .dropdown-item i {
    margin-right: 20px;
}

.dashboard {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.dashboardHeader {
    position: relative;
}

.dashboard .dash-widget {
    margin: 10px 0;
    padding: 10px;
    border: 1px solid #ebebeb;
    background: #fff;
    box-sizing: border-box;
}

.note-new {
    color: #d98500 !important;
}

.note-read {}

.notificationTypes {
    margin-bottom: 20px;
}

#apikeys .optionsForm:not(:last-child) {
    margin-bottom: 10px;
    border-bottom: 1px solid #ccc;
    padding-bottom: 30px;
}

.addButton {
    margin: 10px;
}

.help-me i {
    font-size: 20px;
}

.help-me {
    font-size: 14px;
    padding: 0 10px;
    height: 40px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.help-me.active {
    background: #0C1A38;
    color: #fff;
}

.helpWindow {
    position: fixed;
    top: 40px;
    left: 0;
    right: 0;
    bottom: 0;
    background: #0C1A38CC;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 100000;
    flex-direction: column;
}

.helpWindow h3 {
    font-size: 28px;
    color: #0C1A38;
    line-height: 60px;
    border-bottom: 1px solid #0C1A38;
    display: flex;
    align-items: center;
}

.helpWindow h3 a {
    margin-left: auto;
    width: 20px;
    height: 20px;
    background-size: contain;
    padding: 0;
    color: #000;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
    border: 0;
    border-radius: .25rem;
    opacity: .5;
}

.helpWindow>div {
    background: #fff;
    max-width: 80%;
    max-height: 80%;
    width: 800px;
    height: 600px;
    padding: 0 20px 10px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.helpWindow>div>div {
    border: 0;
    display: flex;
    align-items: stretch;
    gap: 20px;
    flex: auto;
}

.helpWindow>div>div>div {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 10px;
    width: 230px;
}

.helpWindow>div>div>div>strong {
    height: 40px;
    display: flex;
    align-items: center;
}

.helpWindow>div>div>iframe {
    flex: auto;
    height: 100%;
    overflow: hidden;
}

.btn-dark {
    background: #0C1A38;
}

.btn-blue {
    background: #0C73E5;
    position: relative;
    color: #fff !important;
    box-shadow: none !important;
}

.btn-blue:after {
    content: '';
    position: absolute;
    left: 100%;
    top: calc(50% - 7px);
    width: 0;
    height: 0;
    border: 7px solid #0C73E5;
    border-color: transparent transparent transparent #0C73E5;
}

@media only screen and (max-width: 767px) {
    html {
        max-width: 100%;
        min-width: 320px;
    }
    body {
        max-width: 100%;
        min-width: 320px;
    }
    img {
        max-width: 100%;
        width: auto;
        height: auto;
        max-height: 100%;
    }
    .admin_container {
        display: block;
    }
    .left_menu {
        width: 100%;
        height: 60px;
        margin: 0;
        min-height: 0;
        overflow-y: auto;
    }
    .left_menu .logo {
        height: 60px;
        width: auto;
        padding: 10px 10px;
    }
    .left_menu .mobileMenuToggle {
        line-height: 60px;
        position: absolute;
        top: 0px;
        right: 10px;
        width: 30px;
    }
    .left_menu .mobileMenuToggle img {
        vertical-align: middle;
    }
    .left_menu .collapseMenu {
        display: none;
    }
    .left_menu>ul {
        display: none;
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        background: #0c1a38;
        margin: 0;
        padding: 0;
        z-index: 1001;
    }
    .left_menu>ul>li>a {
        width: 100%;
        height: auto;
        min-height: 60px;
    }
    .left_menu>ul>li>ul>li:first-child {
        margin: 10px 0 0;
    }
    .main_window {}
    .profileMenu {
        margin-right: 0;
    }
    .dropdown-menu .dropdown-item {
        width: 100% !important;
    }
    div.dropdown-menu {
        max-width: none;
    }
    div.cacheMenu {
        width: 200px !important;
    }
    div.notificationsList {
        width: 200px !important;
    }
    .dashboardForm {
        height: auto;
        width: 100%;
        position: static;
        display: flex;
        line-height: 40px;
    }
    .dashboardForm i {
        line-height: 40px;
    }
    .dashboard {
        display: block;
    }
    .dash-widget {
        width: 100% !important;
        margin: 10px 0 !important;
    }
    .blade {
        top: 0;
        left: 0;
        width: 100%;
        height: 0;
        transition: height 1s;
        min-width: 100vw;
        min-height: 0;
        padding-top: 30px;
    }
    .blade.active {
        height: 100vh;
        transition: height 1s;
    }
    .blade>a {
        top: 5px;
        right: auto;
        left: 5px;
        background: none;
        height: 30px;
        box-shadow: none;
        line-height: 30px;
    }
    .blade>div {
        position: relative;
        max-height: 100%;
        overflow-y: scroll;
        min-height: 100%;
    }
    .theme .btn {
        display: block;
        margin: 10px 0;
    }
    .additionalSetting {
        min-width: 0;
        display: block;
        margin: 0;
    }
    .metaForm {
        width: 100%;
    }
    .filebrowser {
        min-width: 0;
        width: 100%;
    }
    .filebrowser>div:nth-child(2) {
        min-width: 0;
        width: 100%;
    }
    .filebrowser>div>div:first-child {
        min-height: 40px;
        height: auto;
    }
    .filebrowser>div>div:first-child input {
        width: 156px;
    }
    .filebrowser>div>div:nth-child(2) {
        height: auto;
        min-height: 200px;
    }
    .filelist>div {
        display: flex
    }
    .filelist>div>div:first-child {
        width: 40px;
    }
    .filelist>div>div:nth-child(2) {
        width: 70px;
    }
    .filelist>div>div:nth-child(3) {
        flex: 1 1 auto;
    }
    .filelist>div>div:nth-child(4),
    .filelist>div>div:nth-child(5) {
        display: none;
    }
    h1 {
        font-size: 24px;
        line-height: 38px;
    }
    h2 {
        font-size: 22px;
        line-height: 36px;
    }
    h3 {
        font-size: 20px;
        line-height: 34px;
    }
    h4 {
        font-size: 18px;
        line-height: 32px;
    }
    h5 {
        font-size: 16px;
        line-height: 30px;
    }
    .userTable td:last-child,
    .userTable th:last-child {
        width: 80px;
    }
    .searchResults {
        margin-bottom: 20px;
    }
    .page-item:not(.active):not(:last-child):not(:first-child) {
        display: none;
    }
    .desktop {
        display: none !important;
    }
}

@media only screen and (min-width: 768px) {
    body.collapsed .logo {
        width: 0;
        height: 0;
        padding: 0;
    }
    body.collapsed a.collapseMenu {
        margin-bottom: 0;
    }
    body.collapsed .left_menu {
        width: 50px;
    }
    body.collapsed a.collapseMenu {
        padding: 0;
        width: 50px;
        text-align: center;
        display: block;
    }
    body.collapsed .left_menu>ul>li>a {
        width: 50px;
        padding: 0;
        font-size: 0;
    }
    body.collapsed .left_menu>ul>li>a i {
        width: 50px;
        text-align: center;
        vertical-align: middle;
        margin: 0;
    }
    body.collapsed .left_menu>ul>li>a i.floatright {
        display: none;
    }
    body.collapsed .left_menu>ul>li>ul {
        display: none !important;
    }
    .left_menu ul {
        display: block !important;
    }
    .mobile {
        display: none !important;
    }
}